import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateBasePathMappingInput } from "../types/CreateBasePathMappingInput";
import { CreateBasePathMappingOutput } from "../types/CreateBasePathMappingOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateBasePathMappingInput";
export * from "../types/CreateBasePathMappingOutput";
export * from "../types/CreateBasePathMappingExceptionsUnion";
export declare class CreateBasePathMappingCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateBasePathMappingInput, OutputTypesUnion, CreateBasePathMappingOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: CreateBasePathMappingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateBasePathMappingInput, CreateBasePathMappingOutput, Blob>;
    constructor(input: CreateBasePathMappingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateBasePathMappingInput, CreateBasePathMappingOutput>;
}
