import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDocumentationPartInput } from "../types/CreateDocumentationPartInput";
import { CreateDocumentationPartOutput } from "../types/CreateDocumentationPartOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateDocumentationPartInput";
export * from "../types/CreateDocumentationPartOutput";
export * from "../types/CreateDocumentationPartExceptionsUnion";
export declare class CreateDocumentationPartCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDocumentationPartInput, OutputTypesUnion, CreateDocumentationPartOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: CreateDocumentationPartInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDocumentationPartInput, CreateDocumentationPartOutput, Blob>;
    constructor(input: CreateDocumentationPartInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateDocumentationPartInput, CreateDocumentationPartOutput>;
}
