"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDocumentationVersion_1 = require("../model/operations/CreateDocumentationVersion");
var CreateDocumentationVersionCommand = /** @class */ (function () {
    function CreateDocumentationVersionCommand(input) {
        this.input = input;
        this.model = CreateDocumentationVersion_1.CreateDocumentationVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDocumentationVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDocumentationVersionCommand;
}());
exports.CreateDocumentationVersionCommand = CreateDocumentationVersionCommand;
//# sourceMappingURL=CreateDocumentationVersionCommand.js.map