import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateModelInput } from "../types/CreateModelInput";
import { CreateModelOutput } from "../types/CreateModelOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateModelInput";
export * from "../types/CreateModelOutput";
export * from "../types/CreateModelExceptionsUnion";
export declare class CreateModelCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateModelInput, OutputTypesUnion, CreateModelOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: CreateModelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateModelInput, CreateModelOutput, Blob>;
    constructor(input: CreateModelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateModelInput, CreateModelOutput>;
}
