import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateRestApiInput } from "../types/CreateRestApiInput";
import { CreateRestApiOutput } from "../types/CreateRestApiOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateRestApiInput";
export * from "../types/CreateRestApiOutput";
export * from "../types/CreateRestApiExceptionsUnion";
export declare class CreateRestApiCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateRestApiInput, OutputTypesUnion, CreateRestApiOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: CreateRestApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateRestApiInput, CreateRestApiOutput, Blob>;
    constructor(input: CreateRestApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateRestApiInput, CreateRestApiOutput>;
}
