import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateStageInput } from "../types/CreateStageInput";
import { CreateStageOutput } from "../types/CreateStageOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateStageInput";
export * from "../types/CreateStageOutput";
export * from "../types/CreateStageExceptionsUnion";
export declare class CreateStageCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateStageInput, OutputTypesUnion, CreateStageOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: CreateStageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateStageInput, CreateStageOutput, Blob>;
    constructor(input: CreateStageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateStageInput, CreateStageOutput>;
}
