"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateUsagePlanKey_1 = require("../model/operations/CreateUsagePlanKey");
var CreateUsagePlanKeyCommand = /** @class */ (function () {
    function CreateUsagePlanKeyCommand(input) {
        this.input = input;
        this.model = CreateUsagePlanKey_1.CreateUsagePlanKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateUsagePlanKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateUsagePlanKeyCommand;
}());
exports.CreateUsagePlanKeyCommand = CreateUsagePlanKeyCommand;
//# sourceMappingURL=CreateUsagePlanKeyCommand.js.map