import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDeploymentInput } from "../types/DeleteDeploymentInput";
import { DeleteDeploymentOutput } from "../types/DeleteDeploymentOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteDeploymentInput";
export * from "../types/DeleteDeploymentOutput";
export * from "../types/DeleteDeploymentExceptionsUnion";
export declare class DeleteDeploymentCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDeploymentInput, OutputTypesUnion, DeleteDeploymentOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: DeleteDeploymentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDeploymentInput, DeleteDeploymentOutput, Blob>;
    constructor(input: DeleteDeploymentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteDeploymentInput, DeleteDeploymentOutput>;
}
