"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDocumentationVersion_1 = require("../model/operations/DeleteDocumentationVersion");
var DeleteDocumentationVersionCommand = /** @class */ (function () {
    function DeleteDocumentationVersionCommand(input) {
        this.input = input;
        this.model = DeleteDocumentationVersion_1.DeleteDocumentationVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDocumentationVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDocumentationVersionCommand;
}());
exports.DeleteDocumentationVersionCommand = DeleteDocumentationVersionCommand;
//# sourceMappingURL=DeleteDocumentationVersionCommand.js.map