import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteIntegrationInput } from "../types/DeleteIntegrationInput";
import { DeleteIntegrationOutput } from "../types/DeleteIntegrationOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteIntegrationInput";
export * from "../types/DeleteIntegrationOutput";
export * from "../types/DeleteIntegrationExceptionsUnion";
export declare class DeleteIntegrationCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteIntegrationInput, OutputTypesUnion, DeleteIntegrationOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: DeleteIntegrationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteIntegrationInput, DeleteIntegrationOutput, Blob>;
    constructor(input: DeleteIntegrationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteIntegrationInput, DeleteIntegrationOutput>;
}
