"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteUsagePlan_1 = require("../model/operations/DeleteUsagePlan");
var DeleteUsagePlanCommand = /** @class */ (function () {
    function DeleteUsagePlanCommand(input) {
        this.input = input;
        this.model = DeleteUsagePlan_1.DeleteUsagePlan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteUsagePlanCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteUsagePlanCommand;
}());
exports.DeleteUsagePlanCommand = DeleteUsagePlanCommand;
//# sourceMappingURL=DeleteUsagePlanCommand.js.map