"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteUsagePlanKey_1 = require("../model/operations/DeleteUsagePlanKey");
var DeleteUsagePlanKeyCommand = /** @class */ (function () {
    function DeleteUsagePlanKeyCommand(input) {
        this.input = input;
        this.model = DeleteUsagePlanKey_1.DeleteUsagePlanKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteUsagePlanKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteUsagePlanKeyCommand;
}());
exports.DeleteUsagePlanKeyCommand = DeleteUsagePlanKeyCommand;
//# sourceMappingURL=DeleteUsagePlanKeyCommand.js.map