import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteVpcLinkInput } from "../types/DeleteVpcLinkInput";
import { DeleteVpcLinkOutput } from "../types/DeleteVpcLinkOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteVpcLinkInput";
export * from "../types/DeleteVpcLinkOutput";
export * from "../types/DeleteVpcLinkExceptionsUnion";
export declare class DeleteVpcLinkCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteVpcLinkInput, OutputTypesUnion, DeleteVpcLinkOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: DeleteVpcLinkInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteVpcLinkInput, DeleteVpcLinkOutput, Blob>;
    constructor(input: DeleteVpcLinkInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteVpcLinkInput, DeleteVpcLinkOutput>;
}
