import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetAuthorizerInput } from "../types/GetAuthorizerInput";
import { GetAuthorizerOutput } from "../types/GetAuthorizerOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetAuthorizerInput";
export * from "../types/GetAuthorizerOutput";
export * from "../types/GetAuthorizerExceptionsUnion";
export declare class GetAuthorizerCommand implements __aws_sdk_types.Command<InputTypesUnion, GetAuthorizerInput, OutputTypesUnion, GetAuthorizerOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetAuthorizerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetAuthorizerInput, GetAuthorizerOutput, Blob>;
    constructor(input: GetAuthorizerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetAuthorizerInput, GetAuthorizerOutput>;
}
