import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetBasePathMappingsInput } from "../types/GetBasePathMappingsInput";
import { GetBasePathMappingsOutput } from "../types/GetBasePathMappingsOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetBasePathMappingsInput";
export * from "../types/GetBasePathMappingsOutput";
export * from "../types/GetBasePathMappingsExceptionsUnion";
export declare class GetBasePathMappingsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetBasePathMappingsInput, OutputTypesUnion, GetBasePathMappingsOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetBasePathMappingsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetBasePathMappingsInput, GetBasePathMappingsOutput, Blob>;
    constructor(input: GetBasePathMappingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetBasePathMappingsInput, GetBasePathMappingsOutput>;
}
