import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetClientCertificatesInput } from "../types/GetClientCertificatesInput";
import { GetClientCertificatesOutput } from "../types/GetClientCertificatesOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetClientCertificatesInput";
export * from "../types/GetClientCertificatesOutput";
export * from "../types/GetClientCertificatesExceptionsUnion";
export declare class GetClientCertificatesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetClientCertificatesInput, OutputTypesUnion, GetClientCertificatesOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetClientCertificatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetClientCertificatesInput, GetClientCertificatesOutput, Blob>;
    constructor(input: GetClientCertificatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetClientCertificatesInput, GetClientCertificatesOutput>;
}
