"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetClientCertificates_1 = require("../model/operations/GetClientCertificates");
var GetClientCertificatesCommand = /** @class */ (function () {
    function GetClientCertificatesCommand(input) {
        this.input = input;
        this.model = GetClientCertificates_1.GetClientCertificates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetClientCertificatesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetClientCertificatesCommand;
}());
exports.GetClientCertificatesCommand = GetClientCertificatesCommand;
//# sourceMappingURL=GetClientCertificatesCommand.js.map