import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDeploymentsInput } from "../types/GetDeploymentsInput";
import { GetDeploymentsOutput } from "../types/GetDeploymentsOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetDeploymentsInput";
export * from "../types/GetDeploymentsOutput";
export * from "../types/GetDeploymentsExceptionsUnion";
export declare class GetDeploymentsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDeploymentsInput, OutputTypesUnion, GetDeploymentsOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetDeploymentsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDeploymentsInput, GetDeploymentsOutput, Blob>;
    constructor(input: GetDeploymentsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetDeploymentsInput, GetDeploymentsOutput>;
}
