import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDocumentationVersionsInput } from "../types/GetDocumentationVersionsInput";
import { GetDocumentationVersionsOutput } from "../types/GetDocumentationVersionsOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetDocumentationVersionsInput";
export * from "../types/GetDocumentationVersionsOutput";
export * from "../types/GetDocumentationVersionsExceptionsUnion";
export declare class GetDocumentationVersionsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDocumentationVersionsInput, OutputTypesUnion, GetDocumentationVersionsOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetDocumentationVersionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDocumentationVersionsInput, GetDocumentationVersionsOutput, Blob>;
    constructor(input: GetDocumentationVersionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetDocumentationVersionsInput, GetDocumentationVersionsOutput>;
}
