"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDomainName_1 = require("../model/operations/GetDomainName");
var GetDomainNameCommand = /** @class */ (function () {
    function GetDomainNameCommand(input) {
        this.input = input;
        this.model = GetDomainName_1.GetDomainName;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDomainNameCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDomainNameCommand;
}());
exports.GetDomainNameCommand = GetDomainNameCommand;
//# sourceMappingURL=GetDomainNameCommand.js.map