import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetGatewayResponsesInput } from "../types/GetGatewayResponsesInput";
import { GetGatewayResponsesOutput } from "../types/GetGatewayResponsesOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetGatewayResponsesInput";
export * from "../types/GetGatewayResponsesOutput";
export * from "../types/GetGatewayResponsesExceptionsUnion";
export declare class GetGatewayResponsesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetGatewayResponsesInput, OutputTypesUnion, GetGatewayResponsesOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetGatewayResponsesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetGatewayResponsesInput, GetGatewayResponsesOutput, Blob>;
    constructor(input: GetGatewayResponsesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetGatewayResponsesInput, GetGatewayResponsesOutput>;
}
