import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetMethodResponseInput } from "../types/GetMethodResponseInput";
import { GetMethodResponseOutput } from "../types/GetMethodResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetMethodResponseInput";
export * from "../types/GetMethodResponseOutput";
export * from "../types/GetMethodResponseExceptionsUnion";
export declare class GetMethodResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, GetMethodResponseInput, OutputTypesUnion, GetMethodResponseOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetMethodResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetMethodResponseInput, GetMethodResponseOutput, Blob>;
    constructor(input: GetMethodResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetMethodResponseInput, GetMethodResponseOutput>;
}
