import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSdkInput } from "../types/GetSdkInput";
import { GetSdkOutput } from "../types/GetSdkOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetSdkInput";
export * from "../types/GetSdkOutput";
export * from "../types/GetSdkExceptionsUnion";
export declare class GetSdkCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSdkInput, OutputTypesUnion, GetSdkOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetSdkInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSdkInput, GetSdkOutput, Blob>;
    constructor(input: GetSdkInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetSdkInput, GetSdkOutput>;
}
