import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSdkTypeInput } from "../types/GetSdkTypeInput";
import { GetSdkTypeOutput } from "../types/GetSdkTypeOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetSdkTypeInput";
export * from "../types/GetSdkTypeOutput";
export * from "../types/GetSdkTypeExceptionsUnion";
export declare class GetSdkTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSdkTypeInput, OutputTypesUnion, GetSdkTypeOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetSdkTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSdkTypeInput, GetSdkTypeOutput, Blob>;
    constructor(input: GetSdkTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetSdkTypeInput, GetSdkTypeOutput>;
}
