import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetStagesInput } from "../types/GetStagesInput";
import { GetStagesOutput } from "../types/GetStagesOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetStagesInput";
export * from "../types/GetStagesOutput";
export * from "../types/GetStagesExceptionsUnion";
export declare class GetStagesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetStagesInput, OutputTypesUnion, GetStagesOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetStagesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetStagesInput, GetStagesOutput, Blob>;
    constructor(input: GetStagesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetStagesInput, GetStagesOutput>;
}
