import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetTagsInput } from "../types/GetTagsInput";
import { GetTagsOutput } from "../types/GetTagsOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetTagsInput";
export * from "../types/GetTagsOutput";
export * from "../types/GetTagsExceptionsUnion";
export declare class GetTagsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetTagsInput, OutputTypesUnion, GetTagsOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetTagsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetTagsInput, GetTagsOutput, Blob>;
    constructor(input: GetTagsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetTagsInput, GetTagsOutput>;
}
