"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUsagePlanKey_1 = require("../model/operations/GetUsagePlanKey");
var GetUsagePlanKeyCommand = /** @class */ (function () {
    function GetUsagePlanKeyCommand(input) {
        this.input = input;
        this.model = GetUsagePlanKey_1.GetUsagePlanKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUsagePlanKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUsagePlanKeyCommand;
}());
exports.GetUsagePlanKeyCommand = GetUsagePlanKeyCommand;
//# sourceMappingURL=GetUsagePlanKeyCommand.js.map