"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUsagePlans_1 = require("../model/operations/GetUsagePlans");
var GetUsagePlansCommand = /** @class */ (function () {
    function GetUsagePlansCommand(input) {
        this.input = input;
        this.model = GetUsagePlans_1.GetUsagePlans;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUsagePlansCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUsagePlansCommand;
}());
exports.GetUsagePlansCommand = GetUsagePlansCommand;
//# sourceMappingURL=GetUsagePlansCommand.js.map