import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutGatewayResponseInput } from "../types/PutGatewayResponseInput";
import { PutGatewayResponseOutput } from "../types/PutGatewayResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/PutGatewayResponseInput";
export * from "../types/PutGatewayResponseOutput";
export * from "../types/PutGatewayResponseExceptionsUnion";
export declare class PutGatewayResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, PutGatewayResponseInput, OutputTypesUnion, PutGatewayResponseOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: PutGatewayResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutGatewayResponseInput, PutGatewayResponseOutput, Blob>;
    constructor(input: PutGatewayResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<PutGatewayResponseInput, PutGatewayResponseOutput>;
}
