import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutIntegrationInput } from "../types/PutIntegrationInput";
import { PutIntegrationOutput } from "../types/PutIntegrationOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/PutIntegrationInput";
export * from "../types/PutIntegrationOutput";
export * from "../types/PutIntegrationExceptionsUnion";
export declare class PutIntegrationCommand implements __aws_sdk_types.Command<InputTypesUnion, PutIntegrationInput, OutputTypesUnion, PutIntegrationOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: PutIntegrationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutIntegrationInput, PutIntegrationOutput, Blob>;
    constructor(input: PutIntegrationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<PutIntegrationInput, PutIntegrationOutput>;
}
