import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutIntegrationResponseInput } from "../types/PutIntegrationResponseInput";
import { PutIntegrationResponseOutput } from "../types/PutIntegrationResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/PutIntegrationResponseInput";
export * from "../types/PutIntegrationResponseOutput";
export * from "../types/PutIntegrationResponseExceptionsUnion";
export declare class PutIntegrationResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, PutIntegrationResponseInput, OutputTypesUnion, PutIntegrationResponseOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: PutIntegrationResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutIntegrationResponseInput, PutIntegrationResponseOutput, Blob>;
    constructor(input: PutIntegrationResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<PutIntegrationResponseInput, PutIntegrationResponseOutput>;
}
