import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutRestApiInput } from "../types/PutRestApiInput";
import { PutRestApiOutput } from "../types/PutRestApiOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/PutRestApiInput";
export * from "../types/PutRestApiOutput";
export * from "../types/PutRestApiExceptionsUnion";
export declare class PutRestApiCommand implements __aws_sdk_types.Command<InputTypesUnion, PutRestApiInput, OutputTypesUnion, PutRestApiOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: PutRestApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutRestApiInput, PutRestApiOutput, Blob>;
    constructor(input: PutRestApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<PutRestApiInput, PutRestApiOutput>;
}
