import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateAccountInput } from "../types/UpdateAccountInput";
import { UpdateAccountOutput } from "../types/UpdateAccountOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateAccountInput";
export * from "../types/UpdateAccountOutput";
export * from "../types/UpdateAccountExceptionsUnion";
export declare class UpdateAccountCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateAccountInput, OutputTypesUnion, UpdateAccountOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: UpdateAccountInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateAccountInput, UpdateAccountOutput, Blob>;
    constructor(input: UpdateAccountInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateAccountInput, UpdateAccountOutput>;
}
