"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateBasePathMapping_1 = require("../model/operations/UpdateBasePathMapping");
var UpdateBasePathMappingCommand = /** @class */ (function () {
    function UpdateBasePathMappingCommand(input) {
        this.input = input;
        this.model = UpdateBasePathMapping_1.UpdateBasePathMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateBasePathMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateBasePathMappingCommand;
}());
exports.UpdateBasePathMappingCommand = UpdateBasePathMappingCommand;
//# sourceMappingURL=UpdateBasePathMappingCommand.js.map