import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateDocumentationPartInput } from "../types/UpdateDocumentationPartInput";
import { UpdateDocumentationPartOutput } from "../types/UpdateDocumentationPartOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateDocumentationPartInput";
export * from "../types/UpdateDocumentationPartOutput";
export * from "../types/UpdateDocumentationPartExceptionsUnion";
export declare class UpdateDocumentationPartCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateDocumentationPartInput, OutputTypesUnion, UpdateDocumentationPartOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: UpdateDocumentationPartInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateDocumentationPartInput, UpdateDocumentationPartOutput, Blob>;
    constructor(input: UpdateDocumentationPartInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateDocumentationPartInput, UpdateDocumentationPartOutput>;
}
