"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateDocumentationVersion_1 = require("../model/operations/UpdateDocumentationVersion");
var UpdateDocumentationVersionCommand = /** @class */ (function () {
    function UpdateDocumentationVersionCommand(input) {
        this.input = input;
        this.model = UpdateDocumentationVersion_1.UpdateDocumentationVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateDocumentationVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateDocumentationVersionCommand;
}());
exports.UpdateDocumentationVersionCommand = UpdateDocumentationVersionCommand;
//# sourceMappingURL=UpdateDocumentationVersionCommand.js.map