import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateStageInput } from "../types/UpdateStageInput";
import { UpdateStageOutput } from "../types/UpdateStageOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateStageInput";
export * from "../types/UpdateStageOutput";
export * from "../types/UpdateStageExceptionsUnion";
export declare class UpdateStageCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateStageInput, OutputTypesUnion, UpdateStageOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: UpdateStageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateStageInput, UpdateStageOutput, Blob>;
    constructor(input: UpdateStageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateStageInput, UpdateStageOutput>;
}
