"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateUsagePlan_1 = require("../model/operations/UpdateUsagePlan");
var UpdateUsagePlanCommand = /** @class */ (function () {
    function UpdateUsagePlanCommand(input) {
        this.input = input;
        this.model = UpdateUsagePlan_1.UpdateUsagePlan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateUsagePlanCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateUsagePlanCommand;
}());
exports.UpdateUsagePlanCommand = UpdateUsagePlanCommand;
//# sourceMappingURL=UpdateUsagePlanCommand.js.map