"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateVpcLink_1 = require("../model/operations/UpdateVpcLink");
var UpdateVpcLinkCommand = /** @class */ (function () {
    function UpdateVpcLinkCommand(input) {
        this.input = input;
        this.model = UpdateVpcLink_1.UpdateVpcLink;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateVpcLinkCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateVpcLinkCommand;
}());
exports.UpdateVpcLinkCommand = UpdateVpcLinkCommand;
//# sourceMappingURL=UpdateVpcLinkCommand.js.map