"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetClientCertificatesInput_1 = require("../shapes/GetClientCertificatesInput");
var GetClientCertificatesOutput_1 = require("../shapes/GetClientCertificatesOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetClientCertificates = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetClientCertificates",
    http: {
        method: "GET",
        requestUri: "/clientcertificates"
    },
    input: {
        shape: GetClientCertificatesInput_1.GetClientCertificatesInput
    },
    output: {
        shape: GetClientCertificatesOutput_1.GetClientCertificatesOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetClientCertificates.js.map