"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDomainNamesInput_1 = require("../shapes/GetDomainNamesInput");
var GetDomainNamesOutput_1 = require("../shapes/GetDomainNamesOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDomainNames = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDomainNames",
    http: {
        method: "GET",
        requestUri: "/domainnames"
    },
    input: {
        shape: GetDomainNamesInput_1.GetDomainNamesInput
    },
    output: {
        shape: GetDomainNamesOutput_1.GetDomainNamesOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetDomainNames.js.map