"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateGatewayResponseInput_1 = require("../shapes/UpdateGatewayResponseInput");
var UpdateGatewayResponseOutput_1 = require("../shapes/UpdateGatewayResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateGatewayResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateGatewayResponse",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}"
    },
    input: {
        shape: UpdateGatewayResponseInput_1.UpdateGatewayResponseInput
    },
    output: {
        shape: UpdateGatewayResponseOutput_1.UpdateGatewayResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateGatewayResponse.js.map