"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateModelInput = {
    type: "structure",
    required: ["restApiId", "name", "contentType"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        name: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        schema: {
            shape: {
                type: "string"
            }
        },
        contentType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateModelInput.js.map