"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfString_1 = require("./_ListOfString");
var _EndpointConfiguration_1 = require("./_EndpointConfiguration");
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.CreateRestApiInput = {
    type: "structure",
    required: ["name"],
    members: {
        name: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        version: {
            shape: {
                type: "string"
            }
        },
        cloneFrom: {
            shape: {
                type: "string"
            }
        },
        binaryMediaTypes: {
            shape: _ListOfString_1._ListOfString
        },
        minimumCompressionSize: {
            shape: {
                type: "integer"
            }
        },
        apiKeySource: {
            shape: {
                type: "string"
            }
        },
        endpointConfiguration: {
            shape: _EndpointConfiguration_1._EndpointConfiguration
        },
        policy: {
            shape: {
                type: "string"
            }
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=CreateRestApiInput.js.map