"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
var _CanarySettings_1 = require("./_CanarySettings");
exports.CreateStageInput = {
    type: "structure",
    required: ["restApiId", "stageName", "deploymentId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        stageName: {
            shape: {
                type: "string"
            }
        },
        deploymentId: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        cacheClusterEnabled: {
            shape: {
                type: "boolean"
            }
        },
        cacheClusterSize: {
            shape: {
                type: "string"
            }
        },
        variables: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        documentationVersion: {
            shape: {
                type: "string"
            }
        },
        canarySettings: {
            shape: _CanarySettings_1._CanarySettings
        },
        tracingEnabled: {
            shape: {
                type: "boolean"
            }
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=CreateStageInput.js.map