"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteAuthorizerInput = {
    type: "structure",
    required: ["restApiId", "authorizerId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        authorizerId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "authorizer_id"
        }
    }
};
//# sourceMappingURL=DeleteAuthorizerInput.js.map