"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAuthorizersInput = {
    type: "structure",
    required: ["restApiId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        position: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "position"
        },
        limit: {
            shape: {
                type: "integer"
            },
            location: "querystring",
            locationName: "limit"
        }
    }
};
//# sourceMappingURL=GetAuthorizersInput.js.map