"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EndpointConfiguration_1 = require("./_EndpointConfiguration");
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.GetDomainNameOutput = {
    type: "structure",
    required: [],
    members: {
        domainName: {
            shape: {
                type: "string"
            }
        },
        certificateName: {
            shape: {
                type: "string"
            }
        },
        certificateArn: {
            shape: {
                type: "string"
            }
        },
        certificateUploadDate: {
            shape: {
                type: "timestamp"
            }
        },
        regionalDomainName: {
            shape: {
                type: "string"
            }
        },
        regionalHostedZoneId: {
            shape: {
                type: "string"
            }
        },
        regionalCertificateName: {
            shape: {
                type: "string"
            }
        },
        regionalCertificateArn: {
            shape: {
                type: "string"
            }
        },
        distributionDomainName: {
            shape: {
                type: "string"
            }
        },
        distributionHostedZoneId: {
            shape: {
                type: "string"
            }
        },
        endpointConfiguration: {
            shape: _EndpointConfiguration_1._EndpointConfiguration
        },
        domainNameStatus: {
            shape: {
                type: "string"
            }
        },
        domainNameStatusMessage: {
            shape: {
                type: "string"
            }
        },
        securityPolicy: {
            shape: {
                type: "string"
            }
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=GetDomainNameOutput.js.map