"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.GetExportInput = {
    type: "structure",
    required: ["restApiId", "stageName", "exportType"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        stageName: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "stage_name"
        },
        exportType: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "export_type"
        },
        parameters: {
            shape: _MapOfStringToString_1._MapOfStringToString,
            location: "querystring"
        },
        accepts: {
            shape: {
                type: "string"
            },
            location: "header",
            locationName: "Accept"
        }
    }
};
//# sourceMappingURL=GetExportInput.js.map