"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetModelInput = {
    type: "structure",
    required: ["restApiId", "modelName"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        modelName: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "model_name"
        },
        flatten: {
            shape: {
                type: "boolean"
            },
            location: "querystring",
            locationName: "flatten"
        }
    }
};
//# sourceMappingURL=GetModelInput.js.map