"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfString_1 = require("./_ListOfString");
exports.GetResourceInput = {
    type: "structure",
    required: ["restApiId", "resourceId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        resourceId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "resource_id"
        },
        embed: {
            shape: _ListOfString_1._ListOfString,
            location: "querystring",
            locationName: "embed"
        }
    }
};
//# sourceMappingURL=GetResourceInput.js.map