"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfString_1 = require("./_ListOfString");
exports.GetResourcesInput = {
    type: "structure",
    required: ["restApiId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        position: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "position"
        },
        limit: {
            shape: {
                type: "integer"
            },
            location: "querystring",
            locationName: "limit"
        },
        embed: {
            shape: _ListOfString_1._ListOfString,
            location: "querystring",
            locationName: "embed"
        }
    }
};
//# sourceMappingURL=GetResourcesInput.js.map