"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetUsageInput = {
    type: "structure",
    required: ["usagePlanId", "startDate", "endDate"],
    members: {
        usagePlanId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "usageplanId"
        },
        keyId: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "keyId"
        },
        startDate: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "startDate"
        },
        endDate: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "endDate"
        },
        position: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "position"
        },
        limit: {
            shape: {
                type: "integer"
            },
            location: "querystring",
            locationName: "limit"
        }
    }
};
//# sourceMappingURL=GetUsageInput.js.map