"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportDocumentationPartsInput = {
    type: "structure",
    required: ["restApiId", "body"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        mode: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "mode"
        },
        failOnWarnings: {
            shape: {
                type: "boolean"
            },
            location: "querystring",
            locationName: "failonwarnings"
        },
        body: {
            shape: {
                type: "blob"
            }
        }
    },
    payload: "body"
};
//# sourceMappingURL=ImportDocumentationPartsInput.js.map