"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.PutGatewayResponseInput = {
    type: "structure",
    required: ["restApiId", "responseType"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        responseType: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "response_type"
        },
        statusCode: {
            shape: {
                type: "string"
            }
        },
        responseParameters: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        responseTemplates: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=PutGatewayResponseInput.js.map