"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToBoolean_1 = require("./_MapOfStringToBoolean");
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.PutMethodResponseInput = {
    type: "structure",
    required: ["restApiId", "resourceId", "httpMethod", "statusCode"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        resourceId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "resource_id"
        },
        httpMethod: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "http_method"
        },
        statusCode: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "status_code"
        },
        responseParameters: {
            shape: _MapOfStringToBoolean_1._MapOfStringToBoolean
        },
        responseModels: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=PutMethodResponseInput.js.map