"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfPatchOperation_1 = require("./_ListOfPatchOperation");
exports.UpdateAuthorizerInput = {
    type: "structure",
    required: ["restApiId", "authorizerId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        authorizerId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "authorizer_id"
        },
        patchOperations: {
            shape: _ListOfPatchOperation_1._ListOfPatchOperation
        }
    }
};
//# sourceMappingURL=UpdateAuthorizerInput.js.map