"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfARNs_1 = require("./_ListOfARNs");
exports.UpdateAuthorizerOutput = {
    type: "structure",
    required: [],
    members: {
        id: {
            shape: {
                type: "string"
            }
        },
        name: {
            shape: {
                type: "string"
            }
        },
        type: {
            shape: {
                type: "string"
            }
        },
        providerARNs: {
            shape: _ListOfARNs_1._ListOfARNs
        },
        authType: {
            shape: {
                type: "string"
            }
        },
        authorizerUri: {
            shape: {
                type: "string"
            }
        },
        authorizerCredentials: {
            shape: {
                type: "string"
            }
        },
        identitySource: {
            shape: {
                type: "string"
            }
        },
        identityValidationExpression: {
            shape: {
                type: "string"
            }
        },
        authorizerResultTtlInSeconds: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=UpdateAuthorizerOutput.js.map