"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfPatchOperation_1 = require("./_ListOfPatchOperation");
exports.UpdateBasePathMappingInput = {
    type: "structure",
    required: ["domainName", "basePath"],
    members: {
        domainName: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "domain_name"
        },
        basePath: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "base_path"
        },
        patchOperations: {
            shape: _ListOfPatchOperation_1._ListOfPatchOperation
        }
    }
};
//# sourceMappingURL=UpdateBasePathMappingInput.js.map