"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfPatchOperation_1 = require("./_ListOfPatchOperation");
exports.UpdateDeploymentInput = {
    type: "structure",
    required: ["restApiId", "deploymentId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        deploymentId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "deployment_id"
        },
        patchOperations: {
            shape: _ListOfPatchOperation_1._ListOfPatchOperation
        }
    }
};
//# sourceMappingURL=UpdateDeploymentInput.js.map