"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfPatchOperation_1 = require("./_ListOfPatchOperation");
exports.UpdateDocumentationVersionInput = {
    type: "structure",
    required: ["restApiId", "documentationVersion"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        documentationVersion: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "doc_version"
        },
        patchOperations: {
            shape: _ListOfPatchOperation_1._ListOfPatchOperation
        }
    }
};
//# sourceMappingURL=UpdateDocumentationVersionInput.js.map