"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDocumentationPart_1 = require("../model/operations/CreateDocumentationPart");
var CreateDocumentationPartCommand = /** @class */ (function () {
    function CreateDocumentationPartCommand(input) {
        this.input = input;
        this.model = CreateDocumentationPart_1.CreateDocumentationPart;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDocumentationPartCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDocumentationPartCommand;
}());
exports.CreateDocumentationPartCommand = CreateDocumentationPartCommand;
//# sourceMappingURL=CreateDocumentationPartCommand.js.map