import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateUsagePlanInput } from "../types/CreateUsagePlanInput";
import { CreateUsagePlanOutput } from "../types/CreateUsagePlanOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateUsagePlanInput";
export * from "../types/CreateUsagePlanOutput";
export * from "../types/CreateUsagePlanExceptionsUnion";
export declare class CreateUsagePlanCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateUsagePlanInput, OutputTypesUnion, CreateUsagePlanOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: CreateUsagePlanInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateUsagePlanInput, CreateUsagePlanOutput, Blob>;
    constructor(input: CreateUsagePlanInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateUsagePlanInput, CreateUsagePlanOutput>;
}
