"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateUsagePlan_1 = require("../model/operations/CreateUsagePlan");
var CreateUsagePlanCommand = /** @class */ (function () {
    function CreateUsagePlanCommand(input) {
        this.input = input;
        this.model = CreateUsagePlan_1.CreateUsagePlan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateUsagePlanCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateUsagePlanCommand;
}());
exports.CreateUsagePlanCommand = CreateUsagePlanCommand;
//# sourceMappingURL=CreateUsagePlanCommand.js.map