import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateVpcLinkInput } from "../types/CreateVpcLinkInput";
import { CreateVpcLinkOutput } from "../types/CreateVpcLinkOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateVpcLinkInput";
export * from "../types/CreateVpcLinkOutput";
export * from "../types/CreateVpcLinkExceptionsUnion";
export declare class CreateVpcLinkCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateVpcLinkInput, OutputTypesUnion, CreateVpcLinkOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: CreateVpcLinkInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateVpcLinkInput, CreateVpcLinkOutput, Blob>;
    constructor(input: CreateVpcLinkInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateVpcLinkInput, CreateVpcLinkOutput>;
}
