import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteApiKeyInput } from "../types/DeleteApiKeyInput";
import { DeleteApiKeyOutput } from "../types/DeleteApiKeyOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteApiKeyInput";
export * from "../types/DeleteApiKeyOutput";
export * from "../types/DeleteApiKeyExceptionsUnion";
export declare class DeleteApiKeyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteApiKeyInput, OutputTypesUnion, DeleteApiKeyOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: DeleteApiKeyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteApiKeyInput, DeleteApiKeyOutput, Blob>;
    constructor(input: DeleteApiKeyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteApiKeyInput, DeleteApiKeyOutput>;
}
