"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDocumentationPart_1 = require("../model/operations/DeleteDocumentationPart");
var DeleteDocumentationPartCommand = /** @class */ (function () {
    function DeleteDocumentationPartCommand(input) {
        this.input = input;
        this.model = DeleteDocumentationPart_1.DeleteDocumentationPart;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDocumentationPartCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDocumentationPartCommand;
}());
exports.DeleteDocumentationPartCommand = DeleteDocumentationPartCommand;
//# sourceMappingURL=DeleteDocumentationPartCommand.js.map