import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDocumentationVersionInput } from "../types/DeleteDocumentationVersionInput";
import { DeleteDocumentationVersionOutput } from "../types/DeleteDocumentationVersionOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteDocumentationVersionInput";
export * from "../types/DeleteDocumentationVersionOutput";
export * from "../types/DeleteDocumentationVersionExceptionsUnion";
export declare class DeleteDocumentationVersionCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDocumentationVersionInput, OutputTypesUnion, DeleteDocumentationVersionOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: DeleteDocumentationVersionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDocumentationVersionInput, DeleteDocumentationVersionOutput, Blob>;
    constructor(input: DeleteDocumentationVersionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteDocumentationVersionInput, DeleteDocumentationVersionOutput>;
}
