import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDomainNameInput } from "../types/DeleteDomainNameInput";
import { DeleteDomainNameOutput } from "../types/DeleteDomainNameOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteDomainNameInput";
export * from "../types/DeleteDomainNameOutput";
export * from "../types/DeleteDomainNameExceptionsUnion";
export declare class DeleteDomainNameCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDomainNameInput, OutputTypesUnion, DeleteDomainNameOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: DeleteDomainNameInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDomainNameInput, DeleteDomainNameOutput, Blob>;
    constructor(input: DeleteDomainNameInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteDomainNameInput, DeleteDomainNameOutput>;
}
