"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDomainName_1 = require("../model/operations/DeleteDomainName");
var DeleteDomainNameCommand = /** @class */ (function () {
    function DeleteDomainNameCommand(input) {
        this.input = input;
        this.model = DeleteDomainName_1.DeleteDomainName;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDomainNameCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDomainNameCommand;
}());
exports.DeleteDomainNameCommand = DeleteDomainNameCommand;
//# sourceMappingURL=DeleteDomainNameCommand.js.map