import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteResourceInput } from "../types/DeleteResourceInput";
import { DeleteResourceOutput } from "../types/DeleteResourceOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteResourceInput";
export * from "../types/DeleteResourceOutput";
export * from "../types/DeleteResourceExceptionsUnion";
export declare class DeleteResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteResourceInput, OutputTypesUnion, DeleteResourceOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: DeleteResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteResourceInput, DeleteResourceOutput, Blob>;
    constructor(input: DeleteResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteResourceInput, DeleteResourceOutput>;
}
