import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteUsagePlanKeyInput } from "../types/DeleteUsagePlanKeyInput";
import { DeleteUsagePlanKeyOutput } from "../types/DeleteUsagePlanKeyOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteUsagePlanKeyInput";
export * from "../types/DeleteUsagePlanKeyOutput";
export * from "../types/DeleteUsagePlanKeyExceptionsUnion";
export declare class DeleteUsagePlanKeyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteUsagePlanKeyInput, OutputTypesUnion, DeleteUsagePlanKeyOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: DeleteUsagePlanKeyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteUsagePlanKeyInput, DeleteUsagePlanKeyOutput, Blob>;
    constructor(input: DeleteUsagePlanKeyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteUsagePlanKeyInput, DeleteUsagePlanKeyOutput>;
}
