import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GenerateClientCertificateInput } from "../types/GenerateClientCertificateInput";
import { GenerateClientCertificateOutput } from "../types/GenerateClientCertificateOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GenerateClientCertificateInput";
export * from "../types/GenerateClientCertificateOutput";
export * from "../types/GenerateClientCertificateExceptionsUnion";
export declare class GenerateClientCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, GenerateClientCertificateInput, OutputTypesUnion, GenerateClientCertificateOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GenerateClientCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GenerateClientCertificateInput, GenerateClientCertificateOutput, Blob>;
    constructor(input: GenerateClientCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GenerateClientCertificateInput, GenerateClientCertificateOutput>;
}
