import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetAccountInput } from "../types/GetAccountInput";
import { GetAccountOutput } from "../types/GetAccountOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetAccountInput";
export * from "../types/GetAccountOutput";
export * from "../types/GetAccountExceptionsUnion";
export declare class GetAccountCommand implements __aws_sdk_types.Command<InputTypesUnion, GetAccountInput, OutputTypesUnion, GetAccountOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetAccountInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetAccountInput, GetAccountOutput, Blob>;
    constructor(input: GetAccountInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetAccountInput, GetAccountOutput>;
}
