import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetAuthorizersInput } from "../types/GetAuthorizersInput";
import { GetAuthorizersOutput } from "../types/GetAuthorizersOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetAuthorizersInput";
export * from "../types/GetAuthorizersOutput";
export * from "../types/GetAuthorizersExceptionsUnion";
export declare class GetAuthorizersCommand implements __aws_sdk_types.Command<InputTypesUnion, GetAuthorizersInput, OutputTypesUnion, GetAuthorizersOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetAuthorizersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetAuthorizersInput, GetAuthorizersOutput, Blob>;
    constructor(input: GetAuthorizersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetAuthorizersInput, GetAuthorizersOutput>;
}
