"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetBasePathMappings_1 = require("../model/operations/GetBasePathMappings");
var GetBasePathMappingsCommand = /** @class */ (function () {
    function GetBasePathMappingsCommand(input) {
        this.input = input;
        this.model = GetBasePathMappings_1.GetBasePathMappings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetBasePathMappingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetBasePathMappingsCommand;
}());
exports.GetBasePathMappingsCommand = GetBasePathMappingsCommand;
//# sourceMappingURL=GetBasePathMappingsCommand.js.map