import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDocumentationPartInput } from "../types/GetDocumentationPartInput";
import { GetDocumentationPartOutput } from "../types/GetDocumentationPartOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetDocumentationPartInput";
export * from "../types/GetDocumentationPartOutput";
export * from "../types/GetDocumentationPartExceptionsUnion";
export declare class GetDocumentationPartCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDocumentationPartInput, OutputTypesUnion, GetDocumentationPartOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetDocumentationPartInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDocumentationPartInput, GetDocumentationPartOutput, Blob>;
    constructor(input: GetDocumentationPartInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetDocumentationPartInput, GetDocumentationPartOutput>;
}
