"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDocumentationPart_1 = require("../model/operations/GetDocumentationPart");
var GetDocumentationPartCommand = /** @class */ (function () {
    function GetDocumentationPartCommand(input) {
        this.input = input;
        this.model = GetDocumentationPart_1.GetDocumentationPart;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDocumentationPartCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDocumentationPartCommand;
}());
exports.GetDocumentationPartCommand = GetDocumentationPartCommand;
//# sourceMappingURL=GetDocumentationPartCommand.js.map