"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDocumentationParts_1 = require("../model/operations/GetDocumentationParts");
var GetDocumentationPartsCommand = /** @class */ (function () {
    function GetDocumentationPartsCommand(input) {
        this.input = input;
        this.model = GetDocumentationParts_1.GetDocumentationParts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDocumentationPartsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDocumentationPartsCommand;
}());
exports.GetDocumentationPartsCommand = GetDocumentationPartsCommand;
//# sourceMappingURL=GetDocumentationPartsCommand.js.map