"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDocumentationVersion_1 = require("../model/operations/GetDocumentationVersion");
var GetDocumentationVersionCommand = /** @class */ (function () {
    function GetDocumentationVersionCommand(input) {
        this.input = input;
        this.model = GetDocumentationVersion_1.GetDocumentationVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDocumentationVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDocumentationVersionCommand;
}());
exports.GetDocumentationVersionCommand = GetDocumentationVersionCommand;
//# sourceMappingURL=GetDocumentationVersionCommand.js.map