"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDocumentationVersions_1 = require("../model/operations/GetDocumentationVersions");
var GetDocumentationVersionsCommand = /** @class */ (function () {
    function GetDocumentationVersionsCommand(input) {
        this.input = input;
        this.model = GetDocumentationVersions_1.GetDocumentationVersions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDocumentationVersionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDocumentationVersionsCommand;
}());
exports.GetDocumentationVersionsCommand = GetDocumentationVersionsCommand;
//# sourceMappingURL=GetDocumentationVersionsCommand.js.map