import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDomainNamesInput } from "../types/GetDomainNamesInput";
import { GetDomainNamesOutput } from "../types/GetDomainNamesOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetDomainNamesInput";
export * from "../types/GetDomainNamesOutput";
export * from "../types/GetDomainNamesExceptionsUnion";
export declare class GetDomainNamesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDomainNamesInput, OutputTypesUnion, GetDomainNamesOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetDomainNamesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDomainNamesInput, GetDomainNamesOutput, Blob>;
    constructor(input: GetDomainNamesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetDomainNamesInput, GetDomainNamesOutput>;
}
