"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDomainNames_1 = require("../model/operations/GetDomainNames");
var GetDomainNamesCommand = /** @class */ (function () {
    function GetDomainNamesCommand(input) {
        this.input = input;
        this.model = GetDomainNames_1.GetDomainNames;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDomainNamesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDomainNamesCommand;
}());
exports.GetDomainNamesCommand = GetDomainNamesCommand;
//# sourceMappingURL=GetDomainNamesCommand.js.map