import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetIntegrationResponseInput } from "../types/GetIntegrationResponseInput";
import { GetIntegrationResponseOutput } from "../types/GetIntegrationResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetIntegrationResponseInput";
export * from "../types/GetIntegrationResponseOutput";
export * from "../types/GetIntegrationResponseExceptionsUnion";
export declare class GetIntegrationResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, GetIntegrationResponseInput, OutputTypesUnion, GetIntegrationResponseOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetIntegrationResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetIntegrationResponseInput, GetIntegrationResponseOutput, Blob>;
    constructor(input: GetIntegrationResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetIntegrationResponseInput, GetIntegrationResponseOutput>;
}
