import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResourcesInput } from "../types/GetResourcesInput";
import { GetResourcesOutput } from "../types/GetResourcesOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetResourcesInput";
export * from "../types/GetResourcesOutput";
export * from "../types/GetResourcesExceptionsUnion";
export declare class GetResourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResourcesInput, OutputTypesUnion, GetResourcesOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetResourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResourcesInput, GetResourcesOutput, Blob>;
    constructor(input: GetResourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetResourcesInput, GetResourcesOutput>;
}
