import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetRestApiInput } from "../types/GetRestApiInput";
import { GetRestApiOutput } from "../types/GetRestApiOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetRestApiInput";
export * from "../types/GetRestApiOutput";
export * from "../types/GetRestApiExceptionsUnion";
export declare class GetRestApiCommand implements __aws_sdk_types.Command<InputTypesUnion, GetRestApiInput, OutputTypesUnion, GetRestApiOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetRestApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetRestApiInput, GetRestApiOutput, Blob>;
    constructor(input: GetRestApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetRestApiInput, GetRestApiOutput>;
}
