import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetRestApisInput } from "../types/GetRestApisInput";
import { GetRestApisOutput } from "../types/GetRestApisOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetRestApisInput";
export * from "../types/GetRestApisOutput";
export * from "../types/GetRestApisExceptionsUnion";
export declare class GetRestApisCommand implements __aws_sdk_types.Command<InputTypesUnion, GetRestApisInput, OutputTypesUnion, GetRestApisOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetRestApisInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetRestApisInput, GetRestApisOutput, Blob>;
    constructor(input: GetRestApisInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetRestApisInput, GetRestApisOutput>;
}
