"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSdkTypes_1 = require("../model/operations/GetSdkTypes");
var GetSdkTypesCommand = /** @class */ (function () {
    function GetSdkTypesCommand(input) {
        this.input = input;
        this.model = GetSdkTypes_1.GetSdkTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSdkTypesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSdkTypesCommand;
}());
exports.GetSdkTypesCommand = GetSdkTypesCommand;
//# sourceMappingURL=GetSdkTypesCommand.js.map