import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetUsagePlanInput } from "../types/GetUsagePlanInput";
import { GetUsagePlanOutput } from "../types/GetUsagePlanOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetUsagePlanInput";
export * from "../types/GetUsagePlanOutput";
export * from "../types/GetUsagePlanExceptionsUnion";
export declare class GetUsagePlanCommand implements __aws_sdk_types.Command<InputTypesUnion, GetUsagePlanInput, OutputTypesUnion, GetUsagePlanOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetUsagePlanInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetUsagePlanInput, GetUsagePlanOutput, Blob>;
    constructor(input: GetUsagePlanInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetUsagePlanInput, GetUsagePlanOutput>;
}
