"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUsagePlan_1 = require("../model/operations/GetUsagePlan");
var GetUsagePlanCommand = /** @class */ (function () {
    function GetUsagePlanCommand(input) {
        this.input = input;
        this.model = GetUsagePlan_1.GetUsagePlan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUsagePlanCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUsagePlanCommand;
}());
exports.GetUsagePlanCommand = GetUsagePlanCommand;
//# sourceMappingURL=GetUsagePlanCommand.js.map