import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetUsagePlanKeysInput } from "../types/GetUsagePlanKeysInput";
import { GetUsagePlanKeysOutput } from "../types/GetUsagePlanKeysOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetUsagePlanKeysInput";
export * from "../types/GetUsagePlanKeysOutput";
export * from "../types/GetUsagePlanKeysExceptionsUnion";
export declare class GetUsagePlanKeysCommand implements __aws_sdk_types.Command<InputTypesUnion, GetUsagePlanKeysInput, OutputTypesUnion, GetUsagePlanKeysOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetUsagePlanKeysInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetUsagePlanKeysInput, GetUsagePlanKeysOutput, Blob>;
    constructor(input: GetUsagePlanKeysInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetUsagePlanKeysInput, GetUsagePlanKeysOutput>;
}
