"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUsagePlanKeys_1 = require("../model/operations/GetUsagePlanKeys");
var GetUsagePlanKeysCommand = /** @class */ (function () {
    function GetUsagePlanKeysCommand(input) {
        this.input = input;
        this.model = GetUsagePlanKeys_1.GetUsagePlanKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUsagePlanKeysCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUsagePlanKeysCommand;
}());
exports.GetUsagePlanKeysCommand = GetUsagePlanKeysCommand;
//# sourceMappingURL=GetUsagePlanKeysCommand.js.map