import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetUsagePlansInput } from "../types/GetUsagePlansInput";
import { GetUsagePlansOutput } from "../types/GetUsagePlansOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetUsagePlansInput";
export * from "../types/GetUsagePlansOutput";
export * from "../types/GetUsagePlansExceptionsUnion";
export declare class GetUsagePlansCommand implements __aws_sdk_types.Command<InputTypesUnion, GetUsagePlansInput, OutputTypesUnion, GetUsagePlansOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetUsagePlansInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetUsagePlansInput, GetUsagePlansOutput, Blob>;
    constructor(input: GetUsagePlansInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetUsagePlansInput, GetUsagePlansOutput>;
}
