import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutMethodResponseInput } from "../types/PutMethodResponseInput";
import { PutMethodResponseOutput } from "../types/PutMethodResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/PutMethodResponseInput";
export * from "../types/PutMethodResponseOutput";
export * from "../types/PutMethodResponseExceptionsUnion";
export declare class PutMethodResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, PutMethodResponseInput, OutputTypesUnion, PutMethodResponseOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: PutMethodResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutMethodResponseInput, PutMethodResponseOutput, Blob>;
    constructor(input: PutMethodResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<PutMethodResponseInput, PutMethodResponseOutput>;
}
