import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateApiKeyInput } from "../types/UpdateApiKeyInput";
import { UpdateApiKeyOutput } from "../types/UpdateApiKeyOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateApiKeyInput";
export * from "../types/UpdateApiKeyOutput";
export * from "../types/UpdateApiKeyExceptionsUnion";
export declare class UpdateApiKeyCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateApiKeyInput, OutputTypesUnion, UpdateApiKeyOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: UpdateApiKeyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateApiKeyInput, UpdateApiKeyOutput, Blob>;
    constructor(input: UpdateApiKeyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateApiKeyInput, UpdateApiKeyOutput>;
}
