"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateClientCertificate_1 = require("../model/operations/UpdateClientCertificate");
var UpdateClientCertificateCommand = /** @class */ (function () {
    function UpdateClientCertificateCommand(input) {
        this.input = input;
        this.model = UpdateClientCertificate_1.UpdateClientCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateClientCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateClientCertificateCommand;
}());
exports.UpdateClientCertificateCommand = UpdateClientCertificateCommand;
//# sourceMappingURL=UpdateClientCertificateCommand.js.map