"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateDocumentationPart_1 = require("../model/operations/UpdateDocumentationPart");
var UpdateDocumentationPartCommand = /** @class */ (function () {
    function UpdateDocumentationPartCommand(input) {
        this.input = input;
        this.model = UpdateDocumentationPart_1.UpdateDocumentationPart;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateDocumentationPartCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateDocumentationPartCommand;
}());
exports.UpdateDocumentationPartCommand = UpdateDocumentationPartCommand;
//# sourceMappingURL=UpdateDocumentationPartCommand.js.map