"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateDomainName_1 = require("../model/operations/UpdateDomainName");
var UpdateDomainNameCommand = /** @class */ (function () {
    function UpdateDomainNameCommand(input) {
        this.input = input;
        this.model = UpdateDomainName_1.UpdateDomainName;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateDomainNameCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateDomainNameCommand;
}());
exports.UpdateDomainNameCommand = UpdateDomainNameCommand;
//# sourceMappingURL=UpdateDomainNameCommand.js.map