"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateGatewayResponse_1 = require("../model/operations/UpdateGatewayResponse");
var UpdateGatewayResponseCommand = /** @class */ (function () {
    function UpdateGatewayResponseCommand(input) {
        this.input = input;
        this.model = UpdateGatewayResponse_1.UpdateGatewayResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateGatewayResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateGatewayResponseCommand;
}());
exports.UpdateGatewayResponseCommand = UpdateGatewayResponseCommand;
//# sourceMappingURL=UpdateGatewayResponseCommand.js.map