import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateRestApiInput } from "../types/UpdateRestApiInput";
import { UpdateRestApiOutput } from "../types/UpdateRestApiOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateRestApiInput";
export * from "../types/UpdateRestApiOutput";
export * from "../types/UpdateRestApiExceptionsUnion";
export declare class UpdateRestApiCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateRestApiInput, OutputTypesUnion, UpdateRestApiOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: UpdateRestApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateRestApiInput, UpdateRestApiOutput, Blob>;
    constructor(input: UpdateRestApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateRestApiInput, UpdateRestApiOutput>;
}
