import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateUsageInput } from "../types/UpdateUsageInput";
import { UpdateUsageOutput } from "../types/UpdateUsageOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateUsageInput";
export * from "../types/UpdateUsageOutput";
export * from "../types/UpdateUsageExceptionsUnion";
export declare class UpdateUsageCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateUsageInput, OutputTypesUnion, UpdateUsageOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: UpdateUsageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateUsageInput, UpdateUsageOutput, Blob>;
    constructor(input: UpdateUsageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateUsageInput, UpdateUsageOutput>;
}
