import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateUsagePlanInput } from "../types/UpdateUsagePlanInput";
import { UpdateUsagePlanOutput } from "../types/UpdateUsagePlanOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateUsagePlanInput";
export * from "../types/UpdateUsagePlanOutput";
export * from "../types/UpdateUsagePlanExceptionsUnion";
export declare class UpdateUsagePlanCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateUsagePlanInput, OutputTypesUnion, UpdateUsagePlanOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: UpdateUsagePlanInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateUsagePlanInput, UpdateUsagePlanOutput, Blob>;
    constructor(input: UpdateUsagePlanInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateUsagePlanInput, UpdateUsagePlanOutput>;
}
