"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetBasePathMappingsInput_1 = require("../shapes/GetBasePathMappingsInput");
var GetBasePathMappingsOutput_1 = require("../shapes/GetBasePathMappingsOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetBasePathMappings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetBasePathMappings",
    http: {
        method: "GET",
        requestUri: "/domainnames/{domain_name}/basepathmappings"
    },
    input: {
        shape: GetBasePathMappingsInput_1.GetBasePathMappingsInput
    },
    output: {
        shape: GetBasePathMappingsOutput_1.GetBasePathMappingsOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetBasePathMappings.js.map