"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetUsagePlansInput_1 = require("../shapes/GetUsagePlansInput");
var GetUsagePlansOutput_1 = require("../shapes/GetUsagePlansOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUsagePlans = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUsagePlans",
    http: {
        method: "GET",
        requestUri: "/usageplans"
    },
    input: {
        shape: GetUsagePlansInput_1.GetUsagePlansInput
    },
    output: {
        shape: GetUsagePlansOutput_1.GetUsagePlansOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=GetUsagePlans.js.map