"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetVpcLinksInput_1 = require("../shapes/GetVpcLinksInput");
var GetVpcLinksOutput_1 = require("../shapes/GetVpcLinksOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetVpcLinks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetVpcLinks",
    http: {
        method: "GET",
        requestUri: "/vpclinks"
    },
    input: {
        shape: GetVpcLinksInput_1.GetVpcLinksInput
    },
    output: {
        shape: GetVpcLinksOutput_1.GetVpcLinksOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetVpcLinks.js.map