"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfStageKeys_1 = require("./_ListOfStageKeys");
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.CreateApiKeyInput = {
    type: "structure",
    required: [],
    members: {
        name: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        enabled: {
            shape: {
                type: "boolean"
            }
        },
        generateDistinctId: {
            shape: {
                type: "boolean"
            }
        },
        value: {
            shape: {
                type: "string"
            }
        },
        stageKeys: {
            shape: _ListOfStageKeys_1._ListOfStageKeys
        },
        customerId: {
            shape: {
                type: "string"
            }
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=CreateApiKeyInput.js.map