"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
var _DeploymentCanarySettings_1 = require("./_DeploymentCanarySettings");
exports.CreateDeploymentInput = {
    type: "structure",
    required: ["restApiId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        stageName: {
            shape: {
                type: "string"
            }
        },
        stageDescription: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        cacheClusterEnabled: {
            shape: {
                type: "boolean"
            }
        },
        cacheClusterSize: {
            shape: {
                type: "string"
            }
        },
        variables: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        canarySettings: {
            shape: _DeploymentCanarySettings_1._DeploymentCanarySettings
        },
        tracingEnabled: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateDeploymentInput.js.map