"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EndpointConfiguration_1 = require("./_EndpointConfiguration");
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.CreateDomainNameInput = {
    type: "structure",
    required: ["domainName"],
    members: {
        domainName: {
            shape: {
                type: "string"
            }
        },
        certificateName: {
            shape: {
                type: "string"
            }
        },
        certificateBody: {
            shape: {
                type: "string"
            }
        },
        certificatePrivateKey: {
            shape: {
                type: "string"
            }
        },
        certificateChain: {
            shape: {
                type: "string"
            }
        },
        certificateArn: {
            shape: {
                type: "string"
            }
        },
        regionalCertificateName: {
            shape: {
                type: "string"
            }
        },
        regionalCertificateArn: {
            shape: {
                type: "string"
            }
        },
        endpointConfiguration: {
            shape: _EndpointConfiguration_1._EndpointConfiguration
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        securityPolicy: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateDomainNameInput.js.map