"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateRequestValidatorInput = {
    type: "structure",
    required: ["restApiId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        name: {
            shape: {
                type: "string"
            }
        },
        validateRequestBody: {
            shape: {
                type: "boolean"
            }
        },
        validateRequestParameters: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateRequestValidatorInput.js.map