"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateResourceInput = {
    type: "structure",
    required: ["restApiId", "parentId", "pathPart"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        parentId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "parent_id"
        },
        pathPart: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateResourceInput.js.map