"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfApiStage_1 = require("./_ListOfApiStage");
var _ThrottleSettings_1 = require("./_ThrottleSettings");
var _QuotaSettings_1 = require("./_QuotaSettings");
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.CreateUsagePlanInput = {
    type: "structure",
    required: ["name"],
    members: {
        name: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        apiStages: {
            shape: _ListOfApiStage_1._ListOfApiStage
        },
        throttle: {
            shape: _ThrottleSettings_1._ThrottleSettings
        },
        quota: {
            shape: _QuotaSettings_1._QuotaSettings
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=CreateUsagePlanInput.js.map