"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfString_1 = require("./_ListOfString");
exports.GetDeploymentInput = {
    type: "structure",
    required: ["restApiId", "deploymentId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        deploymentId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "deployment_id"
        },
        embed: {
            shape: _ListOfString_1._ListOfString,
            location: "querystring",
            locationName: "embed"
        }
    }
};
//# sourceMappingURL=GetDeploymentInput.js.map