"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetDocumentationPartsInput = {
    type: "structure",
    required: ["restApiId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        type: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "type"
        },
        nameQuery: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "name"
        },
        path: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "path"
        },
        position: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "position"
        },
        limit: {
            shape: {
                type: "integer"
            },
            location: "querystring",
            locationName: "limit"
        },
        locationStatus: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "locationStatus"
        }
    }
};
//# sourceMappingURL=GetDocumentationPartsInput.js.map