"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.GetSdkInput = {
    type: "structure",
    required: ["restApiId", "stageName", "sdkType"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        stageName: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "stage_name"
        },
        sdkType: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "sdk_type"
        },
        parameters: {
            shape: _MapOfStringToString_1._MapOfStringToString,
            location: "querystring"
        }
    }
};
//# sourceMappingURL=GetSdkInput.js.map