"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
var _ListOfString_1 = require("./_ListOfString");
var _MapOfIntegrationResponse_1 = require("./_MapOfIntegrationResponse");
exports.PutIntegrationOutput = {
    type: "structure",
    required: [],
    members: {
        type: {
            shape: {
                type: "string"
            }
        },
        httpMethod: {
            shape: {
                type: "string"
            }
        },
        uri: {
            shape: {
                type: "string"
            }
        },
        connectionType: {
            shape: {
                type: "string"
            }
        },
        connectionId: {
            shape: {
                type: "string"
            }
        },
        credentials: {
            shape: {
                type: "string"
            }
        },
        requestParameters: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        requestTemplates: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        passthroughBehavior: {
            shape: {
                type: "string"
            }
        },
        contentHandling: {
            shape: {
                type: "string"
            }
        },
        timeoutInMillis: {
            shape: {
                type: "integer"
            }
        },
        cacheNamespace: {
            shape: {
                type: "string"
            }
        },
        cacheKeyParameters: {
            shape: _ListOfString_1._ListOfString
        },
        integrationResponses: {
            shape: _MapOfIntegrationResponse_1._MapOfIntegrationResponse
        }
    }
};
//# sourceMappingURL=PutIntegrationOutput.js.map