"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.PutIntegrationResponseInput = {
    type: "structure",
    required: ["restApiId", "resourceId", "httpMethod", "statusCode"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        resourceId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "resource_id"
        },
        httpMethod: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "http_method"
        },
        statusCode: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "status_code"
        },
        selectionPattern: {
            shape: {
                type: "string"
            }
        },
        responseParameters: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        responseTemplates: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        contentHandling: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=PutIntegrationResponseInput.js.map