"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
var _MapOfStringToList_1 = require("./_MapOfStringToList");
exports.TestInvokeAuthorizerInput = {
    type: "structure",
    required: ["restApiId", "authorizerId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        authorizerId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "authorizer_id"
        },
        headers: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        multiValueHeaders: {
            shape: _MapOfStringToList_1._MapOfStringToList
        },
        pathWithQueryString: {
            shape: {
                type: "string"
            }
        },
        body: {
            shape: {
                type: "string"
            }
        },
        stageVariables: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        additionalContext: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=TestInvokeAuthorizerInput.js.map