"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
var _MapOfStringToList_1 = require("./_MapOfStringToList");
exports.TestInvokeMethodInput = {
    type: "structure",
    required: ["restApiId", "resourceId", "httpMethod"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        resourceId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "resource_id"
        },
        httpMethod: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "http_method"
        },
        pathWithQueryString: {
            shape: {
                type: "string"
            }
        },
        body: {
            shape: {
                type: "string"
            }
        },
        headers: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        multiValueHeaders: {
            shape: _MapOfStringToList_1._MapOfStringToList
        },
        clientCertificateId: {
            shape: {
                type: "string"
            }
        },
        stageVariables: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=TestInvokeMethodInput.js.map