"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfPatchOperation_1 = require("./_ListOfPatchOperation");
exports.UpdateRequestValidatorInput = {
    type: "structure",
    required: ["restApiId", "requestValidatorId"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        requestValidatorId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "requestvalidator_id"
        },
        patchOperations: {
            shape: _ListOfPatchOperation_1._ListOfPatchOperation
        }
    }
};
//# sourceMappingURL=UpdateRequestValidatorInput.js.map