"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListOfString_1 = require("./_ListOfString");
var _MapOfStringToString_1 = require("./_MapOfStringToString");
exports._ApiKey = {
    type: "structure",
    required: [],
    members: {
        id: {
            shape: {
                type: "string"
            }
        },
        value: {
            shape: {
                type: "string"
            }
        },
        name: {
            shape: {
                type: "string"
            }
        },
        customerId: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        enabled: {
            shape: {
                type: "boolean"
            }
        },
        createdDate: {
            shape: {
                type: "timestamp"
            }
        },
        lastUpdatedDate: {
            shape: {
                type: "timestamp"
            }
        },
        stageKeys: {
            shape: _ListOfString_1._ListOfString
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=_ApiKey.js.map