import { UnauthorizedException } from "./UnauthorizedException";
import { NotFoundException } from "./NotFoundException";
import { ConflictException } from "./ConflictException";
import { LimitExceededException } from "./LimitExceededException";
import { BadRequestException } from "./BadRequestException";
import { TooManyRequestsException } from "./TooManyRequestsException";
export declare type CreateResourceExceptionsUnion = UnauthorizedException | NotFoundException | ConflictException | LimitExceededException | BadRequestException | TooManyRequestsException;
