import { CreateApiKeyInput } from "./CreateApiKeyInput";
import { CreateAuthorizerInput } from "./CreateAuthorizerInput";
import { CreateBasePathMappingInput } from "./CreateBasePathMappingInput";
import { CreateDeploymentInput } from "./CreateDeploymentInput";
import { CreateDocumentationPartInput } from "./CreateDocumentationPartInput";
import { CreateDocumentationVersionInput } from "./CreateDocumentationVersionInput";
import { CreateDomainNameInput } from "./CreateDomainNameInput";
import { CreateModelInput } from "./CreateModelInput";
import { CreateRequestValidatorInput } from "./CreateRequestValidatorInput";
import { CreateResourceInput } from "./CreateResourceInput";
import { CreateRestApiInput } from "./CreateRestApiInput";
import { CreateStageInput } from "./CreateStageInput";
import { CreateUsagePlanInput } from "./CreateUsagePlanInput";
import { CreateUsagePlanKeyInput } from "./CreateUsagePlanKeyInput";
import { CreateVpcLinkInput } from "./CreateVpcLinkInput";
import { DeleteApiKeyInput } from "./DeleteApiKeyInput";
import { DeleteAuthorizerInput } from "./DeleteAuthorizerInput";
import { DeleteBasePathMappingInput } from "./DeleteBasePathMappingInput";
import { DeleteClientCertificateInput } from "./DeleteClientCertificateInput";
import { DeleteDeploymentInput } from "./DeleteDeploymentInput";
import { DeleteDocumentationPartInput } from "./DeleteDocumentationPartInput";
import { DeleteDocumentationVersionInput } from "./DeleteDocumentationVersionInput";
import { DeleteDomainNameInput } from "./DeleteDomainNameInput";
import { DeleteGatewayResponseInput } from "./DeleteGatewayResponseInput";
import { DeleteIntegrationInput } from "./DeleteIntegrationInput";
import { DeleteIntegrationResponseInput } from "./DeleteIntegrationResponseInput";
import { DeleteMethodInput } from "./DeleteMethodInput";
import { DeleteMethodResponseInput } from "./DeleteMethodResponseInput";
import { DeleteModelInput } from "./DeleteModelInput";
import { DeleteRequestValidatorInput } from "./DeleteRequestValidatorInput";
import { DeleteResourceInput } from "./DeleteResourceInput";
import { DeleteRestApiInput } from "./DeleteRestApiInput";
import { DeleteStageInput } from "./DeleteStageInput";
import { DeleteUsagePlanInput } from "./DeleteUsagePlanInput";
import { DeleteUsagePlanKeyInput } from "./DeleteUsagePlanKeyInput";
import { DeleteVpcLinkInput } from "./DeleteVpcLinkInput";
import { FlushStageAuthorizersCacheInput } from "./FlushStageAuthorizersCacheInput";
import { FlushStageCacheInput } from "./FlushStageCacheInput";
import { GenerateClientCertificateInput } from "./GenerateClientCertificateInput";
import { GetAccountInput } from "./GetAccountInput";
import { GetApiKeyInput } from "./GetApiKeyInput";
import { GetApiKeysInput } from "./GetApiKeysInput";
import { GetAuthorizerInput } from "./GetAuthorizerInput";
import { GetAuthorizersInput } from "./GetAuthorizersInput";
import { GetBasePathMappingInput } from "./GetBasePathMappingInput";
import { GetBasePathMappingsInput } from "./GetBasePathMappingsInput";
import { GetClientCertificateInput } from "./GetClientCertificateInput";
import { GetClientCertificatesInput } from "./GetClientCertificatesInput";
import { GetDeploymentInput } from "./GetDeploymentInput";
import { GetDeploymentsInput } from "./GetDeploymentsInput";
import { GetDocumentationPartInput } from "./GetDocumentationPartInput";
import { GetDocumentationPartsInput } from "./GetDocumentationPartsInput";
import { GetDocumentationVersionInput } from "./GetDocumentationVersionInput";
import { GetDocumentationVersionsInput } from "./GetDocumentationVersionsInput";
import { GetDomainNameInput } from "./GetDomainNameInput";
import { GetDomainNamesInput } from "./GetDomainNamesInput";
import { GetExportInput } from "./GetExportInput";
import { GetGatewayResponseInput } from "./GetGatewayResponseInput";
import { GetGatewayResponsesInput } from "./GetGatewayResponsesInput";
import { GetIntegrationInput } from "./GetIntegrationInput";
import { GetIntegrationResponseInput } from "./GetIntegrationResponseInput";
import { GetMethodInput } from "./GetMethodInput";
import { GetMethodResponseInput } from "./GetMethodResponseInput";
import { GetModelInput } from "./GetModelInput";
import { GetModelTemplateInput } from "./GetModelTemplateInput";
import { GetModelsInput } from "./GetModelsInput";
import { GetRequestValidatorInput } from "./GetRequestValidatorInput";
import { GetRequestValidatorsInput } from "./GetRequestValidatorsInput";
import { GetResourceInput } from "./GetResourceInput";
import { GetResourcesInput } from "./GetResourcesInput";
import { GetRestApiInput } from "./GetRestApiInput";
import { GetRestApisInput } from "./GetRestApisInput";
import { GetSdkInput } from "./GetSdkInput";
import { GetSdkTypeInput } from "./GetSdkTypeInput";
import { GetSdkTypesInput } from "./GetSdkTypesInput";
import { GetStageInput } from "./GetStageInput";
import { GetStagesInput } from "./GetStagesInput";
import { GetTagsInput } from "./GetTagsInput";
import { GetUsageInput } from "./GetUsageInput";
import { GetUsagePlanInput } from "./GetUsagePlanInput";
import { GetUsagePlanKeyInput } from "./GetUsagePlanKeyInput";
import { GetUsagePlanKeysInput } from "./GetUsagePlanKeysInput";
import { GetUsagePlansInput } from "./GetUsagePlansInput";
import { GetVpcLinkInput } from "./GetVpcLinkInput";
import { GetVpcLinksInput } from "./GetVpcLinksInput";
import { ImportApiKeysInput } from "./ImportApiKeysInput";
import { ImportDocumentationPartsInput } from "./ImportDocumentationPartsInput";
import { ImportRestApiInput } from "./ImportRestApiInput";
import { PutGatewayResponseInput } from "./PutGatewayResponseInput";
import { PutIntegrationInput } from "./PutIntegrationInput";
import { PutIntegrationResponseInput } from "./PutIntegrationResponseInput";
import { PutMethodInput } from "./PutMethodInput";
import { PutMethodResponseInput } from "./PutMethodResponseInput";
import { PutRestApiInput } from "./PutRestApiInput";
import { TagResourceInput } from "./TagResourceInput";
import { TestInvokeAuthorizerInput } from "./TestInvokeAuthorizerInput";
import { TestInvokeMethodInput } from "./TestInvokeMethodInput";
import { UntagResourceInput } from "./UntagResourceInput";
import { UpdateAccountInput } from "./UpdateAccountInput";
import { UpdateApiKeyInput } from "./UpdateApiKeyInput";
import { UpdateAuthorizerInput } from "./UpdateAuthorizerInput";
import { UpdateBasePathMappingInput } from "./UpdateBasePathMappingInput";
import { UpdateClientCertificateInput } from "./UpdateClientCertificateInput";
import { UpdateDeploymentInput } from "./UpdateDeploymentInput";
import { UpdateDocumentationPartInput } from "./UpdateDocumentationPartInput";
import { UpdateDocumentationVersionInput } from "./UpdateDocumentationVersionInput";
import { UpdateDomainNameInput } from "./UpdateDomainNameInput";
import { UpdateGatewayResponseInput } from "./UpdateGatewayResponseInput";
import { UpdateIntegrationInput } from "./UpdateIntegrationInput";
import { UpdateIntegrationResponseInput } from "./UpdateIntegrationResponseInput";
import { UpdateMethodInput } from "./UpdateMethodInput";
import { UpdateMethodResponseInput } from "./UpdateMethodResponseInput";
import { UpdateModelInput } from "./UpdateModelInput";
import { UpdateRequestValidatorInput } from "./UpdateRequestValidatorInput";
import { UpdateResourceInput } from "./UpdateResourceInput";
import { UpdateRestApiInput } from "./UpdateRestApiInput";
import { UpdateStageInput } from "./UpdateStageInput";
import { UpdateUsageInput } from "./UpdateUsageInput";
import { UpdateUsagePlanInput } from "./UpdateUsagePlanInput";
import { UpdateVpcLinkInput } from "./UpdateVpcLinkInput";
export declare type InputTypesUnion = CreateApiKeyInput | CreateAuthorizerInput | CreateBasePathMappingInput | CreateDeploymentInput | CreateDocumentationPartInput | CreateDocumentationVersionInput | CreateDomainNameInput | CreateModelInput | CreateRequestValidatorInput | CreateResourceInput | CreateRestApiInput | CreateStageInput | CreateUsagePlanInput | CreateUsagePlanKeyInput | CreateVpcLinkInput | DeleteApiKeyInput | DeleteAuthorizerInput | DeleteBasePathMappingInput | DeleteClientCertificateInput | DeleteDeploymentInput | DeleteDocumentationPartInput | DeleteDocumentationVersionInput | DeleteDomainNameInput | DeleteGatewayResponseInput | DeleteIntegrationInput | DeleteIntegrationResponseInput | DeleteMethodInput | DeleteMethodResponseInput | DeleteModelInput | DeleteRequestValidatorInput | DeleteResourceInput | DeleteRestApiInput | DeleteStageInput | DeleteUsagePlanInput | DeleteUsagePlanKeyInput | DeleteVpcLinkInput | FlushStageAuthorizersCacheInput | FlushStageCacheInput | GenerateClientCertificateInput | GetAccountInput | GetApiKeyInput | GetApiKeysInput | GetAuthorizerInput | GetAuthorizersInput | GetBasePathMappingInput | GetBasePathMappingsInput | GetClientCertificateInput | GetClientCertificatesInput | GetDeploymentInput | GetDeploymentsInput | GetDocumentationPartInput | GetDocumentationPartsInput | GetDocumentationVersionInput | GetDocumentationVersionsInput | GetDomainNameInput | GetDomainNamesInput | GetExportInput | GetGatewayResponseInput | GetGatewayResponsesInput | GetIntegrationInput | GetIntegrationResponseInput | GetMethodInput | GetMethodResponseInput | GetModelInput | GetModelTemplateInput | GetModelsInput | GetRequestValidatorInput | GetRequestValidatorsInput | GetResourceInput | GetResourcesInput | GetRestApiInput | GetRestApisInput | GetSdkInput | GetSdkTypeInput | GetSdkTypesInput | GetStageInput | GetStagesInput | GetTagsInput | GetUsageInput | GetUsagePlanInput | GetUsagePlanKeyInput | GetUsagePlanKeysInput | GetUsagePlansInput | GetVpcLinkInput | GetVpcLinksInput | ImportApiKeysInput | ImportDocumentationPartsInput | ImportRestApiInput | PutGatewayResponseInput | PutIntegrationInput | PutIntegrationResponseInput | PutMethodInput | PutMethodResponseInput | PutRestApiInput | TagResourceInput | TestInvokeAuthorizerInput | TestInvokeMethodInput | UntagResourceInput | UpdateAccountInput | UpdateApiKeyInput | UpdateAuthorizerInput | UpdateBasePathMappingInput | UpdateClientCertificateInput | UpdateDeploymentInput | UpdateDocumentationPartInput | UpdateDocumentationVersionInput | UpdateDomainNameInput | UpdateGatewayResponseInput | UpdateIntegrationInput | UpdateIntegrationResponseInput | UpdateMethodInput | UpdateMethodResponseInput | UpdateModelInput | UpdateRequestValidatorInput | UpdateResourceInput | UpdateRestApiInput | UpdateStageInput | UpdateUsageInput | UpdateUsagePlanInput | UpdateVpcLinkInput;
