import { CreateApiKeyOutput } from "./CreateApiKeyOutput";
import { CreateAuthorizerOutput } from "./CreateAuthorizerOutput";
import { CreateBasePathMappingOutput } from "./CreateBasePathMappingOutput";
import { CreateDeploymentOutput } from "./CreateDeploymentOutput";
import { CreateDocumentationPartOutput } from "./CreateDocumentationPartOutput";
import { CreateDocumentationVersionOutput } from "./CreateDocumentationVersionOutput";
import { CreateDomainNameOutput } from "./CreateDomainNameOutput";
import { CreateModelOutput } from "./CreateModelOutput";
import { CreateRequestValidatorOutput } from "./CreateRequestValidatorOutput";
import { CreateResourceOutput } from "./CreateResourceOutput";
import { CreateRestApiOutput } from "./CreateRestApiOutput";
import { CreateStageOutput } from "./CreateStageOutput";
import { CreateUsagePlanOutput } from "./CreateUsagePlanOutput";
import { CreateUsagePlanKeyOutput } from "./CreateUsagePlanKeyOutput";
import { CreateVpcLinkOutput } from "./CreateVpcLinkOutput";
import { DeleteApiKeyOutput } from "./DeleteApiKeyOutput";
import { DeleteAuthorizerOutput } from "./DeleteAuthorizerOutput";
import { DeleteBasePathMappingOutput } from "./DeleteBasePathMappingOutput";
import { DeleteClientCertificateOutput } from "./DeleteClientCertificateOutput";
import { DeleteDeploymentOutput } from "./DeleteDeploymentOutput";
import { DeleteDocumentationPartOutput } from "./DeleteDocumentationPartOutput";
import { DeleteDocumentationVersionOutput } from "./DeleteDocumentationVersionOutput";
import { DeleteDomainNameOutput } from "./DeleteDomainNameOutput";
import { DeleteGatewayResponseOutput } from "./DeleteGatewayResponseOutput";
import { DeleteIntegrationOutput } from "./DeleteIntegrationOutput";
import { DeleteIntegrationResponseOutput } from "./DeleteIntegrationResponseOutput";
import { DeleteMethodOutput } from "./DeleteMethodOutput";
import { DeleteMethodResponseOutput } from "./DeleteMethodResponseOutput";
import { DeleteModelOutput } from "./DeleteModelOutput";
import { DeleteRequestValidatorOutput } from "./DeleteRequestValidatorOutput";
import { DeleteResourceOutput } from "./DeleteResourceOutput";
import { DeleteRestApiOutput } from "./DeleteRestApiOutput";
import { DeleteStageOutput } from "./DeleteStageOutput";
import { DeleteUsagePlanOutput } from "./DeleteUsagePlanOutput";
import { DeleteUsagePlanKeyOutput } from "./DeleteUsagePlanKeyOutput";
import { DeleteVpcLinkOutput } from "./DeleteVpcLinkOutput";
import { FlushStageAuthorizersCacheOutput } from "./FlushStageAuthorizersCacheOutput";
import { FlushStageCacheOutput } from "./FlushStageCacheOutput";
import { GenerateClientCertificateOutput } from "./GenerateClientCertificateOutput";
import { GetAccountOutput } from "./GetAccountOutput";
import { GetApiKeyOutput } from "./GetApiKeyOutput";
import { GetApiKeysOutput } from "./GetApiKeysOutput";
import { GetAuthorizerOutput } from "./GetAuthorizerOutput";
import { GetAuthorizersOutput } from "./GetAuthorizersOutput";
import { GetBasePathMappingOutput } from "./GetBasePathMappingOutput";
import { GetBasePathMappingsOutput } from "./GetBasePathMappingsOutput";
import { GetClientCertificateOutput } from "./GetClientCertificateOutput";
import { GetClientCertificatesOutput } from "./GetClientCertificatesOutput";
import { GetDeploymentOutput } from "./GetDeploymentOutput";
import { GetDeploymentsOutput } from "./GetDeploymentsOutput";
import { GetDocumentationPartOutput } from "./GetDocumentationPartOutput";
import { GetDocumentationPartsOutput } from "./GetDocumentationPartsOutput";
import { GetDocumentationVersionOutput } from "./GetDocumentationVersionOutput";
import { GetDocumentationVersionsOutput } from "./GetDocumentationVersionsOutput";
import { GetDomainNameOutput } from "./GetDomainNameOutput";
import { GetDomainNamesOutput } from "./GetDomainNamesOutput";
import { GetExportOutput } from "./GetExportOutput";
import { GetGatewayResponseOutput } from "./GetGatewayResponseOutput";
import { GetGatewayResponsesOutput } from "./GetGatewayResponsesOutput";
import { GetIntegrationOutput } from "./GetIntegrationOutput";
import { GetIntegrationResponseOutput } from "./GetIntegrationResponseOutput";
import { GetMethodOutput } from "./GetMethodOutput";
import { GetMethodResponseOutput } from "./GetMethodResponseOutput";
import { GetModelOutput } from "./GetModelOutput";
import { GetModelTemplateOutput } from "./GetModelTemplateOutput";
import { GetModelsOutput } from "./GetModelsOutput";
import { GetRequestValidatorOutput } from "./GetRequestValidatorOutput";
import { GetRequestValidatorsOutput } from "./GetRequestValidatorsOutput";
import { GetResourceOutput } from "./GetResourceOutput";
import { GetResourcesOutput } from "./GetResourcesOutput";
import { GetRestApiOutput } from "./GetRestApiOutput";
import { GetRestApisOutput } from "./GetRestApisOutput";
import { GetSdkOutput } from "./GetSdkOutput";
import { GetSdkTypeOutput } from "./GetSdkTypeOutput";
import { GetSdkTypesOutput } from "./GetSdkTypesOutput";
import { GetStageOutput } from "./GetStageOutput";
import { GetStagesOutput } from "./GetStagesOutput";
import { GetTagsOutput } from "./GetTagsOutput";
import { GetUsageOutput } from "./GetUsageOutput";
import { GetUsagePlanOutput } from "./GetUsagePlanOutput";
import { GetUsagePlanKeyOutput } from "./GetUsagePlanKeyOutput";
import { GetUsagePlanKeysOutput } from "./GetUsagePlanKeysOutput";
import { GetUsagePlansOutput } from "./GetUsagePlansOutput";
import { GetVpcLinkOutput } from "./GetVpcLinkOutput";
import { GetVpcLinksOutput } from "./GetVpcLinksOutput";
import { ImportApiKeysOutput } from "./ImportApiKeysOutput";
import { ImportDocumentationPartsOutput } from "./ImportDocumentationPartsOutput";
import { ImportRestApiOutput } from "./ImportRestApiOutput";
import { PutGatewayResponseOutput } from "./PutGatewayResponseOutput";
import { PutIntegrationOutput } from "./PutIntegrationOutput";
import { PutIntegrationResponseOutput } from "./PutIntegrationResponseOutput";
import { PutMethodOutput } from "./PutMethodOutput";
import { PutMethodResponseOutput } from "./PutMethodResponseOutput";
import { PutRestApiOutput } from "./PutRestApiOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { TestInvokeAuthorizerOutput } from "./TestInvokeAuthorizerOutput";
import { TestInvokeMethodOutput } from "./TestInvokeMethodOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
import { UpdateAccountOutput } from "./UpdateAccountOutput";
import { UpdateApiKeyOutput } from "./UpdateApiKeyOutput";
import { UpdateAuthorizerOutput } from "./UpdateAuthorizerOutput";
import { UpdateBasePathMappingOutput } from "./UpdateBasePathMappingOutput";
import { UpdateClientCertificateOutput } from "./UpdateClientCertificateOutput";
import { UpdateDeploymentOutput } from "./UpdateDeploymentOutput";
import { UpdateDocumentationPartOutput } from "./UpdateDocumentationPartOutput";
import { UpdateDocumentationVersionOutput } from "./UpdateDocumentationVersionOutput";
import { UpdateDomainNameOutput } from "./UpdateDomainNameOutput";
import { UpdateGatewayResponseOutput } from "./UpdateGatewayResponseOutput";
import { UpdateIntegrationOutput } from "./UpdateIntegrationOutput";
import { UpdateIntegrationResponseOutput } from "./UpdateIntegrationResponseOutput";
import { UpdateMethodOutput } from "./UpdateMethodOutput";
import { UpdateMethodResponseOutput } from "./UpdateMethodResponseOutput";
import { UpdateModelOutput } from "./UpdateModelOutput";
import { UpdateRequestValidatorOutput } from "./UpdateRequestValidatorOutput";
import { UpdateResourceOutput } from "./UpdateResourceOutput";
import { UpdateRestApiOutput } from "./UpdateRestApiOutput";
import { UpdateStageOutput } from "./UpdateStageOutput";
import { UpdateUsageOutput } from "./UpdateUsageOutput";
import { UpdateUsagePlanOutput } from "./UpdateUsagePlanOutput";
import { UpdateVpcLinkOutput } from "./UpdateVpcLinkOutput";
export declare type OutputTypesUnion = CreateApiKeyOutput | CreateAuthorizerOutput | CreateBasePathMappingOutput | CreateDeploymentOutput | CreateDocumentationPartOutput | CreateDocumentationVersionOutput | CreateDomainNameOutput | CreateModelOutput | CreateRequestValidatorOutput | CreateResourceOutput | CreateRestApiOutput | CreateStageOutput | CreateUsagePlanOutput | CreateUsagePlanKeyOutput | CreateVpcLinkOutput | DeleteApiKeyOutput | DeleteAuthorizerOutput | DeleteBasePathMappingOutput | DeleteClientCertificateOutput | DeleteDeploymentOutput | DeleteDocumentationPartOutput | DeleteDocumentationVersionOutput | DeleteDomainNameOutput | DeleteGatewayResponseOutput | DeleteIntegrationOutput | DeleteIntegrationResponseOutput | DeleteMethodOutput | DeleteMethodResponseOutput | DeleteModelOutput | DeleteRequestValidatorOutput | DeleteResourceOutput | DeleteRestApiOutput | DeleteStageOutput | DeleteUsagePlanOutput | DeleteUsagePlanKeyOutput | DeleteVpcLinkOutput | FlushStageAuthorizersCacheOutput | FlushStageCacheOutput | GenerateClientCertificateOutput | GetAccountOutput | GetApiKeyOutput | GetApiKeysOutput | GetAuthorizerOutput | GetAuthorizersOutput | GetBasePathMappingOutput | GetBasePathMappingsOutput | GetClientCertificateOutput | GetClientCertificatesOutput | GetDeploymentOutput | GetDeploymentsOutput | GetDocumentationPartOutput | GetDocumentationPartsOutput | GetDocumentationVersionOutput | GetDocumentationVersionsOutput | GetDomainNameOutput | GetDomainNamesOutput | GetExportOutput | GetGatewayResponseOutput | GetGatewayResponsesOutput | GetIntegrationOutput | GetIntegrationResponseOutput | GetMethodOutput | GetMethodResponseOutput | GetModelOutput | GetModelTemplateOutput | GetModelsOutput | GetRequestValidatorOutput | GetRequestValidatorsOutput | GetResourceOutput | GetResourcesOutput | GetRestApiOutput | GetRestApisOutput | GetSdkOutput | GetSdkTypeOutput | GetSdkTypesOutput | GetStageOutput | GetStagesOutput | GetTagsOutput | GetUsageOutput | GetUsagePlanOutput | GetUsagePlanKeyOutput | GetUsagePlanKeysOutput | GetUsagePlansOutput | GetVpcLinkOutput | GetVpcLinksOutput | ImportApiKeysOutput | ImportDocumentationPartsOutput | ImportRestApiOutput | PutGatewayResponseOutput | PutIntegrationOutput | PutIntegrationResponseOutput | PutMethodOutput | PutMethodResponseOutput | PutRestApiOutput | TagResourceOutput | TestInvokeAuthorizerOutput | TestInvokeMethodOutput | UntagResourceOutput | UpdateAccountOutput | UpdateApiKeyOutput | UpdateAuthorizerOutput | UpdateBasePathMappingOutput | UpdateClientCertificateOutput | UpdateDeploymentOutput | UpdateDocumentationPartOutput | UpdateDocumentationVersionOutput | UpdateDomainNameOutput | UpdateGatewayResponseOutput | UpdateIntegrationOutput | UpdateIntegrationResponseOutput | UpdateMethodOutput | UpdateMethodResponseOutput | UpdateModelOutput | UpdateRequestValidatorOutput | UpdateResourceOutput | UpdateRestApiOutput | UpdateStageOutput | UpdateUsageOutput | UpdateUsagePlanOutput | UpdateVpcLinkOutput;
